# $Revision: 1.21 $, $Date: 2012/01/21 20:07:58 $
#
# TODO:
#	- some smart way to create symlink when one theme is uninstalled
#	  but other still exists

%define		src_name	enlightenment

Summary:	Default Enlightenment themes
Summary(pl.UTF-8):	Domyślne motywy Enlightenmenta
Name:		enlightenment-theme-default
Version:	0.16.999.65643
Release:	1
License:	BSD
Group:		Themes
Source0:	http://download.enlightenment.org/snapshots/LATEST/%{src_name}-%{version}.tar.bz2
# Source0-md5:	9bdb2e6f88c3456b50fe509f05de3b4f
URL:		http://enlightenment.org/
BuildRequires:	edje
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Enlightenment default theme.

%description -l pl.UTF-8
Domyślne motywy Enlightenmenta.

%package slow_pc
Summary:	Default Enlightenment theme with small textures
Summary(pl.UTF-8):	Domyślny motyw Enlightenmenta z małymi teksturami
Group:		Themes
Requires:	enlightenment >= %{version}
Provides:	enlightenment-theme-default = %{version}

%description slow_pc
Default Enlightenment theme with small textures.

%description slow_pc -l pl.UTF-8
Domyślny motyw Enlightenmenta z małymi teksturami.

%package fast_pc
Summary:	Default Enlightenment theme with large textures
Summary(pl.UTF-8):	Domyślny motyw Enlightenmenta z dużymi teksturami
Group:		Themes
Requires:	enlightenment >= %{version}
Provides:	enlightenment-theme-default = %{version}

%description fast_pc
Default Enlightenment theme with large textures.

%description fast_pc -l pl.UTF-8
Domyślny motyw Enlightenmenta z dużymi teksturami.

%prep
%setup -q -n %{src_name}-%{version}
for DIR in themes; do
sed -e 's/@EDJE_DEF@/-DLOWRES_PDA=1 -DMEDIUMRES_PDA=2 -DHIRES_PDA=3 -DSLOW_PC=4 -DMEDIUM_PC=5 -DFAST_PC=6 -DE17_PROFILE=$(PROFILE)/' \
	-e 's#@edje_cc@#%{_bindir}/edje_cc#'	\
	-e 's#$(top_srcdir)/data/#../#'	\
	-e 's#$(top_builddir)/data/#../#'	\
	data/$DIR/Makefile.am > data/$DIR/Makefile
done

%build
%{__make} -C data/themes default.edj PROFILE=SLOW_PC
mv data/themes/{default.edj,default-slow_pc.edj}
%{__make} -C data/themes default.edj PROFILE=FAST_PC
mv data/themes/{default.edj,default-fast_pc.edj}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/enlightenment/data/themes

install data/themes/default-{slow,fast}_pc.edj \
	$RPM_BUILD_ROOT%{_datadir}/enlightenment/data/themes/
touch $RPM_BUILD_ROOT%{_datadir}/enlightenment/data/themes/default.edj

%clean
rm -rf $RPM_BUILD_ROOT

%post slow_pc
[ -e %{_datadir}/enlightenment/data/themes/default.edj ] || \
	ln -sf %{_datadir}/enlightenment/data/themes/{default-slow_pc.edj,default.edj}

%post fast_pc
[ -e %{_datadir}/enlightenment/data/themes/default.edj ] || \
	ln -sf %{_datadir}/enlightenment/data/themes/{default-fast_pc.edj,default.edj}

%files slow_pc
%defattr(644,root,root,755)
%{_datadir}/enlightenment/data/themes/default-slow_pc.edj
%ghost %{_datadir}/enlightenment/data/themes/default.edj

%files fast_pc
%defattr(644,root,root,755)
%{_datadir}/enlightenment/data/themes/default-fast_pc.edj
%ghost %{_datadir}/enlightenment/data/themes/default.edj

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: enlightenment-theme-default.spec,v $
Revision 1.21  2012/01/21 20:07:58  zbyniu
- up to 0.16.999.65643

Revision 1.20  2011/06/01 21:13:38  zbyniu
- rel 1

Revision 1.19  2011/01/31 14:11:53  lisu
- updated to 0.16.999.55225
- drop init themes (not included in this version)

Revision 1.18  2008/10/09 18:00:26  pablo
- updated
- using "official" snapshots

Revision 1.17  2008/08/25 16:51:21  pablo
- updated to 20080813 snap

Revision 1.16  2008/06/01 14:01:45  cactus
- up to 0.16.999.043

Revision 1.15  2007-09-09 19:02:38  qboosh
- updated md5

Revision 1.14  2007/09/09 18:46:00  qboosh
- updated to 0.16.999.038

Revision 1.13  2007/04/30 19:54:07  rotom
-up to 0.16.999.037

Revision 1.12  2007/02/15 21:31:40  sparky
- versioned enlightenment-init-default provides

Revision 1.11  2007/02/12 22:09:09  glen
- tabs in preamble

Revision 1.10  2007/02/12 01:06:42  baggins
- converted to UTF-8

Revision 1.9  2006/12/01 03:00:11  sparky
- updated to 0.16.999.036

Revision 1.8  2006/07/20 15:00:06  sparky
- up to 0.16.999.031

Revision 1.7  2006/07/19 14:16:24  sparky
- enlightenmentDR17 -> enlightenment

Revision 1.6  2006/07/11 01:52:36  sparky
- check for init/init.edj, not init/default.edj
- force link, to prevent error when link exist but it's broken

Revision 1.5  2006/07/10 17:42:51  qboosh
- pl

Revision 1.4  2006/07/10 16:31:13  sparky
- theme has allways to be up-to-date

Revision 1.3  2006/07/10 16:29:32  sparky
- up to 0.16.999.030

Revision 1.2  2006/07/06 18:53:56  sparky
- adapter

Revision 1.1  2006/07/06 14:39:31  sparky
- default DR17 theme, built with different configs
